Subject: Re: <draft-ietf-6man-rfc4291bis-00.txt>

From: Bob Hinden <[email-masked]>
Date: Fri, 15 Jan 2016 16:11:17 -0800

I have reviewed this email thread regarding the IID text.  I generally agree that we can do better than the current text regarding how IIDs are created.  Thanks for the suggestions.  I will work on an update along the lines as has been suggested.

However, I am not comfortable removing the "Modified EUI-64” text altogether as part of advancing this spec to Internet Standard, I think it better move it to an appendix.  This document will obsolete RFC4291 and we do have running code that uses the “Modified EUI-64” IIDs.

I hope to have some new text for review early next week.

Thanks,
Bob

---

From: Fernando Gont <[email-masked]>
Date: Sat, 16 Jan 2016 06:57:39 -0300

Hi, Bob,

On 01/15/2016 09:11 PM, Bob Hinden wrote:
> I have reviewed this email thread regarding the IID text.  I
> generally agree that we can do better than the current text regarding
> how IIDs are created.  Thanks for the suggestions.  I will work on an
> update along the lines as has been suggested.
> 
> However, I am not comfortable removing the "Modified EUI-64” text
> altogether as part of advancing this spec to Internet Standard, I
> think it better move it to an appendix.  This document will obsolete
> RFC4291 and we do have running code that uses the “Modified EUI-64”
> IIDs.

I think that it's acceptable to leave text regarding Modified EUI-64 in
an appendix. However, the main body should refer to default-iids
regarding the details of how IIDs are generated.

Thanks!

Cheers,
-- 
Fernando Gont
SI6 Networks
e-mail: [email-masked]
PGP Fingerprint: 6666 31C6 D484 63B2 8FB1 E3C4 AE25 0D55 1D4E 7492

---

From: Bob Hinden <[email-masked]>
Date: Thu, 21 Jan 2016 21:17:03 -0800

Hi,

I published the second 6man w.g. version (-01) version of the RFC4291bis draft.  See links below.

This is based on the discussion on the mailing list.  The changes in this version to revise Section 2.4.1 on Interface Identifiers to reflect current approach, this included saying Modified EUI-64 identifiers are not recommended and moved the text describing the format to Appendix A.  There were a few editorial changes as well.

A diff from the previous version is available at:

https://www.ietf.org/rfcdiff?url2=draft-ietf-6man-rfc4291bis-01

This is part of the project to move the core IPv6 specifications to Internet Standard.

Thanks,
Bob

> On Jan 21, 2016, at 9:08 PM, [email-masked] wrote:
> 
> A new version of I-D, draft-ietf-6man-rfc4291bis-01.txt
> has been successfully submitted by Robert M. Hinden and posted to the
> IETF repository.
> 
> Name:		draft-ietf-6man-rfc4291bis
> Revision:	01
> Title:		IP Version 6 Addressing Architecture
> Document date:	2016-01-21
> Group:		6man
> Pages:		30
> URL:            https://www.ietf.org/internet-drafts/draft-ietf-6man-rfc4291bis-01.txt
> Status:         https://datatracker.ietf.org/doc/draft-ietf-6man-rfc4291bis/
> Htmlized:       https://tools.ietf.org/html/draft-ietf-6man-rfc4291bis-01
> Diff:           https://www.ietf.org/rfcdiff?url2=draft-ietf-6man-rfc4291bis-01
> 
> Abstract:
>   This specification defines the addressing architecture of the IP
>   Version 6 (IPv6) protocol.  The document includes the IPv6 addressing
>   model, text representations of IPv6 addresses, definition of IPv6
>   unicast addresses, anycast addresses, and multicast addresses, and an
>   IPv6 node's required addresses.
> 
>   This document obsoletes RFC 4291, "IP Version 6 Addressing
>   Architecture".